.title:has(+ .category-filter) {
  margin-block: 8px 24px;
}

@media (width > 991px) {
  .title:has(+ .category-filter) {
    margin-top: 10px;
    text-align: center;
  }
}

/* -- -- -- -- -- FILTRES - SECTION - DÉBUT -- -- -- -- -- */

.category-filter {
  display: flex;
  align-items: center;
  overflow: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none; /* IE and Edge */
  padding-bottom: 1px;
}

.category-filter::-webkit-scrollbar {
  display: none;
}

.network__item {
  list-style: none;
  padding-bottom: 16px;
  border-bottom: 1px solid #b3bacd;
}

.network__item:not(:last-child):not(:has(.active)) {
  padding-right: 27px;
}

.network__item:has(.active) + .network__item {
  padding-inline: 27px;
}

.network__item:has(.active) + .network__item:last-child {
  padding-inline: 27px 0px;
}

.network__item:has(.active) {
  list-style: none;
  position: relative;
}

.network__item:has(.active)::after {
  position: absolute;
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  background-color: var(--color-primary);
  bottom: -1px;
  left: 0;
}

.filter {
  font-family: var(--ffMRe);
  font-size: 1rem;
  line-height: 1.125rem;
  color: var(--color-primary);
  white-space: nowrap;
}

.filter.active {
  font-family: var(--ffMSeBo);
}

@media (width > 991px) {
  .network__item:not(:last-child):not(:has(.active)) {
    padding-right: 40px;
  }

  .network__item:has(.active) + .network__item {
    padding-inline: 40px;
  }

  .network__item:has(.active) + .network__item:last-child {
    padding-inline: 40px 0px;
  }

  .filter {
    line-height: 1.25rem;
  }

  body > *.category-filter {
    width: fit-content;
  }
}

/* -- -- -- -- -- FILTRES - SECTION - FIN -- -- -- -- -- */

/* -- -- -- -- -- HOME - MAIN - DÉBUT -- -- -- -- -- */

.home {
  margin-block: 18px 40px;
  display: grid;
  gap: 20px;
}

@media (width > 767px) {
  .home {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (width > 991px) {
  .home {
    grid-template-columns: repeat(3, 1fr);
    margin-block: 36px 69px;
  }
}

/* -- -- -- -- -- HOME - MAIN - FIN -- -- -- -- -- */
